summaryrefslogtreecommitdiffstats
path: root/source/n/whois
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/whois')
-rw-r--r--source/n/whois/slack-desc12
-rwxr-xr-xsource/n/whois/whois.SlackBuild20
2 files changed, 19 insertions, 13 deletions
diff --git a/source/n/whois/slack-desc b/source/n/whois/slack-desc
index a357ec064..bac818d65 100644
--- a/source/n/whois/slack-desc
+++ b/source/n/whois/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
whois: whois (whois directory client)
whois:
whois: This is an enhanced whois (RFC 954) client derived from the BSD and
-whois: RIPE whois programs. It can automatically select the appropriate
+whois: RIPE whois programs. It can automatically select the appropriate
whois: whois server for most queries.
whois:
-whois: This version of whois was written by Marco d'Itri
-whois: For more information, see: http://www.linux.it/~md/software/
+whois: This version of whois was written by Marco d'Itri.
+whois: For more information, see: http://www.linux.it/~md/software/
whois:
whois:
whois:
diff --git a/source/n/whois/whois.SlackBuild b/source/n/whois/whois.SlackBuild
index b2c02cbe0..8485fe7a7 100755
--- a/source/n/whois/whois.SlackBuild
+++ b/source/n/whois/whois.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,6 +20,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=whois
VERSION=${VERSION:-$(echo ${PKGNAM}_*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
BUILD=${BUILD:-1}
@@ -33,7 +35,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-whois
@@ -50,7 +59,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-make HAVE_LIBIDN=y || exit
+make HAVE_LIBIDN2=y || exit
make install install-pos BASEDIR=$PKG || exit 1
mv $PKG/usr/share/man $PKG/usr
@@ -62,9 +71,6 @@ for i in $( find $PKG/usr/man -type l ) ; do
rm $i
done
-# Remove mkpasswd stuff:
-find $PKG -iname "mkpasswd*" -exec rm -f {} \;
-
mkdir -p $PKG/usr/doc/whois-$VERSION
cp -a \
COPYING* README* \